tt_X_session(library call)

NAME
tt_X_session — return the session associated with an X window system display

SYNOPSIS

#include &<Tt/tt_c.h>
char *tt_X_session(
const char *xdisplaystring);

DESCRIPTION

The tt_X_session function returns the session associated with the named X window system display.

The application can call tt_X_session before it calls tt_open(3).

The xdisplaystring argument is the name of an X display server; for example, somehost:0 or :0.

RETURN VALUE

Upon successful completion, the tt_X_session function returns the identifier for the ToolTalk session associated with the named X window system display. The application can use tt_ptr_error(3) to extract one of the following Tt_status values from the returned pointer:

TT_OK
    The operation completed successfully.

TT_ERR_SESSION
    The xdisplaystring does not name an X display.

TT_ERR_POINTER
    The xdisplaystring is NULL.

APPLICATION USAGE

The application should use tt_free(3) to free any data stored in the address returned by the ToolTalk API.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_ptr_error(3), tt_open(3), tt_free(3).